#
# spec file for package flwrap
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           flwrap
Version:        1.3.6
Release:        2.30
Summary:        File encapsulation/compression program
License:        GPL-2.0
Group:          Productivity/Hamradio/Other
URL:            http://www.w1hkj.com/
#Git-Clone:     https://git.code.sf.net/p/fldigi/flwrap
Source:         http://sourceforge.net/projects/fldigi/files/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fltk-devel
BuildRequires:  flxmlrpc-devel
BuildRequires:  gcc-c++
BuildRequires:  update-desktop-files
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
Flwrap allows you to transmit a text message, image, or binary file to either
single or multiple stations and allow each receiving station to verify that
the transmission was received without error.

%prep
%setup -q

%build
export BUILD_DATE=`date -d@0`
export BUILD_USER=openSUSE
export BUILD_HOST=openSUSE
%configure
%make_build

%install
%make_install

%suse_update_desktop_file -i flwrap

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/flwrap
%{_datadir}/applications/flwrap.desktop
%{_datadir}/pixmaps/flwrap.xpm

%changelog
* Thu Jun 29 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fix build for Tumbleweed and Factory
- New specfile based on fldigi specflie
* Sun Nov 10 2013 dl8fcl@darc.de
- spec file cleaned
* Tue Jun 19 2012 dl8fcl@darc.de
- update to version 1.3.4, Security fix and bug fix
* Thu Jan 26 2012 dl8fcl@darc.de
- update to version 1.3.2, build with fltk-1.1.10 and fltk-1.3.0
* Thu Aug  5 2010 dl8fcl@darc.de
- update to version 1.3.1
* Fri Jul 30 2010 dl8fcl@darc.de
- update to version 1.3.0
* Thu Jul  1 2010 dl8fcl@darc.de
- update to version 1.2.0
* Sun May  2 2010 dl8fcl@darc.de
- import into buildservice
